

//@implementation UINavigationBar (UINavigationBarCategory)
//@end

#import "RootViewController.h"

@implementation RootViewController 

@synthesize array;

- (void)viewDidLoad {
    
	[super viewDidLoad];
	
	array = [[NSMutableArray alloc] init];
    [array addObject:@"Next View"];
    
	self.navigationItem.title =@"Hello!";
	
}

- (void)viewWillAppear:(BOOL)animated {
	
	[super viewWillAppear:animated];
	[self.navigationController.navigationBar setTintColor:[UIColor blackColor]];
	
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release anything that can be recreated in viewDidLoad or on demand.
	// e.g. self.myOutlet = nil;
}


#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
	
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [array count];
	
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
	}
  
	NSString *cellValue = [array objectAtIndex:indexPath.row];
	cell.textLabel.text = cellValue;
	
	
	cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;

	//Uncomment it if you want button or check mark type indicator.
	//cell.accessoryType = UITableViewCellAccessoryDetailDisclosureButton;
	//cell.accessoryType =UITableViewCellAccessoryCheckmark;
	
	// Configure the cell.

    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
			
	myViewController *ViewController =[[myViewController alloc]initWithNibName:@"myViewController" bundle:nil];
	[self.navigationController pushViewController:ViewController animated:YES];
	
}

- (void)dealloc {
	[array release];
    [super dealloc];
}


@end

